DriverPropertyInfo (Java Platform SE 8 )
Keywords: java.sql.DriverPropertyInfo class
Date: 2016-12-09

compact2, compact3
java.sql

## Class DriverPropertyInfo

- java.lang.Object
- - java.sql.DriverPropertyInfo

-     public class DriverPropertyInfo
      extends Object

  Driver properties for making a connection. The `DriverPropertyInfo` class is of interest only to advanced programmers who need to interact with a Driver via the method `getDriverProperties` to discover and supply properties for connections.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `String[]` | `choices` An array of possible values if the value for the field `DriverPropertyInfo.value` may be selected from a particular set of values; otherwise null.
    `String` | `description` A brief description of the property, which may be null.
    `String` | `name` The name of the property.
    `boolean` | `required` The `required` field is `true` if a value must be supplied for this property during `Driver.connect` and `false` otherwise.
    `String` | `value` The `value` field specifies the current value of the property, based on a combination of the information supplied to the method `getPropertyInfo`, the Java environment, and the driver-supplied default values.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DriverPropertyInfo(String name, String value)` Constructs a `DriverPropertyInfo` object with a given name and value.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### name

          public String name

      The name of the property.

    - #### description

          public String description

      A brief description of the property, which may be null.

    - #### required

          public boolean required

      The `required` field is `true` if a value must be supplied for this property during `Driver.connect` and `false` otherwise.

    - #### value

          public String value

      The `value` field specifies the current value of the property, based on a combination of the information supplied to the method `getPropertyInfo`, the Java environment, and the driver-supplied default values. This field may be null if no value is known.

    - #### choices

          public String[] choices

      An array of possible values if the value for the field `DriverPropertyInfo.value` may be selected from a particular set of values; otherwise null.

  - ### Constructor Detail

    - #### DriverPropertyInfo

          public DriverPropertyInfo(String name,
                                    String value)

      Constructs a `DriverPropertyInfo` object with a given name and value. The `description` and `choices` are initialized to `null` and `required` is initialized to `false`.
      Parameters:
        `name` - the name of the property
        `value` - the current value, which may be null

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2016, Oracle and/or its affiliates. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.